<?php

namespace App\Entity;

use App\Repository\UserListRepository;
use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: UserListRepository::class)]
class UserList
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\ManyToOne(inversedBy: 'userLists')]
    #[ORM\JoinColumn(nullable: false)]
    private ?User $viewer = null;

    /**
     * @var Collection<int, UserListFilm>
     */
    #[ORM\OneToMany(targetEntity: UserListFilm::class, mappedBy: 'userList')]
    private Collection $userListFilms;

    public function __construct()
    {
        $this->userListFilms = new ArrayCollection();
    }

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getViewer(): ?User
    {
        return $this->viewer;
    }

    public function setViewer(?User $viewer): static
    {
        $this->viewer = $viewer;

        return $this;
    }

    /**
     * @return Collection<int, UserListFilm>
     */
    public function getUserListFilms(): Collection
    {
        return $this->userListFilms;
    }

    public function addUserListFilm(UserListFilm $userListFilm): static
    {
        if (!$this->userListFilms->contains($userListFilm)) {
            $this->userListFilms->add($userListFilm);
            $userListFilm->setUserList($this);
        }

        return $this;
    }

    public function removeUserListFilm(UserListFilm $userListFilm): static
    {
        if ($this->userListFilms->removeElement($userListFilm)) {
            // set the owning side to null (unless already changed)
            if ($userListFilm->getUserList() === $this) {
                $userListFilm->setUserList(null);
            }
        }

        return $this;
    }
}
